Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026304
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2014-04-16 12:422014-07-08 09:50
ReportersureshbabuView Statuspublic 
Assigned Toszapata 
PrioritynormalResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revision8827b1791078
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026304: System wrongly allows manual user to generate invoice, for whom invoice option is disabled.

DescriptionSystem wrongly allows manual user to generate invoice, for whom invoice option is disabled.
Steps To Reproduce1) From ERP, created a Manual user name: Manual_user

2) Then created a preference not to have access to Invoice receipt

Client: The White Valley group
Organization: Vall blanca Store
Property List: checked
Property: Web POS action Invoice receipt
Value: N

Visible at client: The White Valley Group
Visible at organization: VallBlanca Store
visible at User: Manual_user

3) Navigate to POS Terminal Type window and select Name: VBS POS Terminal Type
and check "Generate Invoice for orders"


4) Login as manual_user in web pos

5) Then create a receipt

Defect 1: One can find Invoice option wrongly selected in the webpos screen

Defect 2: once the user completes the receipt, in the back end system wrongly generates invoice for the created receipt, even though User does not rights to create Invoice
TagsNo tags attached.
Attached Filespng file icon System wrongly allows manual user to generate invoice, for whom invoice option is disabled..png [^] (113,872 bytes) 2014-04-16 12:42

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0066583)
szapata (developer)
2014-04-24 16:00

I'm not able to reproduce the error.

Did you ensure that the role assigned to the user has the check 'Manual' checked? Otherwise it will ignore the preferences.

Regards
(0066590)
sureshbabu (reporter)
2014-04-25 03:16
edited on: 2014-04-25 03:18

I have tested in the below instance.and i can able to reproduce the issue.

http://ec2-122-248-229-211.ap-southeast-1.compute.amazonaws.com/openbravo [^]

And the sales order id is VBS1/0000295
invoice id is : VBS1000012
Webpos Receipt id: VBS1/0000295



User credentials:
**********************
User id: manual_user
Password: <common password> ping me the know the password.



and my skpe id is sureshbabu.rajendran1

Kindly let me know if you required any further details.

(0066650)
hgbot (developer)
2014-04-28 16:51

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eb957d9eb94fdeb60e9848034542967a93556a54
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon Apr 28 11:49:50 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb957d9eb94fdeb60e9848034542967a93556a54 [^]

fixed issue 0026304, fixed issue 0026367: Allow invoice only if the user has permissions and if there is no tax ID restriction in the business partner

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0066760)
hgbot (developer)
2014-05-01 17:46

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: eb957d9eb94fdeb60e9848034542967a93556a54
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon Apr 28 11:49:50 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/eb957d9eb94fdeb60e9848034542967a93556a54 [^]

fixed issue 0026304, fixed issue 0026367: Allow invoice only if the user has permissions and if there is no tax ID restriction in the business partner

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0067059)
hgbot (developer)
2014-05-09 16:02

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: 8827b1791078deb41cf0d2c45449eb4c13744f1c
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon Apr 28 11:49:50 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/8827b1791078deb41cf0d2c45449eb4c13744f1c [^]

fixed issue 0026304, fixed issue 0026367: Allow invoice only if the user has permissions and if there is no tax ID restriction in the business partner

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0067069)
hgbot (developer)
2014-05-09 16:03

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: c634b2b0f2f859574b8e4873cd2ce004823f25b5
Author: RM packaging bot <staff.rm <at> openbravo.com>
Date: Tue May 06 05:29:01 2014 +0000
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/c634b2b0f2f859574b8e4873cd2ce004823f25b5 [^]

backout the changeset 8827b1791078 of issue 26304: System wrongly allows manual user to generate invoice, for whom invoice option is disabled.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M web/org.openbravo.retail.posterminal/js/components/menu.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0067227)
adrianromero (manager)
2014-05-16 15:48

Verified

- Issue History
Date Modified Username Field Change
2014-04-16 12:42 sureshbabu New Issue
2014-04-16 12:42 sureshbabu Assigned To => malsasua
2014-04-16 12:42 sureshbabu File Added: System wrongly allows manual user to generate invoice, for whom invoice option is disabled..png
2014-04-16 12:42 sureshbabu Triggers an Emergency Pack => No
2014-04-24 16:00 szapata Note Added: 0066583
2014-04-24 16:01 szapata Assigned To malsasua => sureshbabu
2014-04-24 16:01 szapata Status new => feedback
2014-04-25 03:13 sureshbabu Assigned To sureshbabu => szapata
2014-04-25 03:16 sureshbabu Note Added: 0066590
2014-04-25 03:16 sureshbabu Status feedback => new
2014-04-25 03:18 sureshbabu Note Edited: 0066590 View Revisions
2014-04-28 16:51 hgbot Checkin
2014-04-28 16:51 hgbot Note Added: 0066650
2014-04-28 16:51 hgbot Status new => resolved
2014-04-28 16:51 hgbot Resolution open => fixed
2014-04-28 16:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb957d9eb94fdeb60e9848034542967a93556a54 [^]
2014-05-01 17:46 hgbot Checkin
2014-05-01 17:46 hgbot Note Added: 0066760
2014-05-01 17:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eb957d9eb94fdeb60e9848034542967a93556a54 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/eb957d9eb94fdeb60e9848034542967a93556a54 [^]
2014-05-05 12:26 malsasua Status resolved => new
2014-05-05 12:26 malsasua Resolution fixed => open
2014-05-05 12:27 malsasua Target Version => RR14Q2
2014-05-05 12:27 malsasua Status new => scheduled
2014-05-05 12:27 malsasua fix_in_branch => pi
2014-05-05 12:27 malsasua Status scheduled => resolved
2014-05-05 12:27 malsasua Resolution open => fixed
2014-05-06 11:54 malsasua Status resolved => new
2014-05-06 11:54 malsasua Resolution fixed => open
2014-05-06 11:54 malsasua Fixed in Version => RR14Q3
2014-05-06 11:54 malsasua Target Version RR14Q2 => RR14Q3
2014-05-06 11:54 malsasua fix_in_branch pi =>
2014-05-06 11:54 malsasua Status new => scheduled
2014-05-06 11:54 malsasua fix_in_branch => pi
2014-05-06 11:54 malsasua Status scheduled => resolved
2014-05-06 11:54 malsasua Resolution open => fixed
2014-05-09 16:02 hgbot Checkin
2014-05-09 16:02 hgbot Note Added: 0067059
2014-05-09 16:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/eb957d9eb94fdeb60e9848034542967a93556a54 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/8827b1791078deb41cf0d2c45449eb4c13744f1c [^]
2014-05-09 16:03 hgbot Checkin
2014-05-09 16:03 hgbot Note Added: 0067069
2014-05-16 15:48 adrianromero Review Assigned To => adrianromero
2014-05-16 15:48 adrianromero Note Added: 0067227
2014-05-16 15:48 adrianromero Status resolved => closed
2014-07-08 09:50 mtaal fix_in_branch pi =>
2014-07-08 09:50 mtaal Summary [RR14Q2] System wrongly allows manual user to generate invoice, for whom invoice option is disabled. => System wrongly allows manual user to generate invoice, for whom invoice option is disabled.


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker